org.apache.cassandra.hints

## Class HintMessage

- java.lang.Object
- - org.apache.cassandra.hints.HintMessage

    public final class HintMessage
    extends java.lang.Object

The message we use to dispatch and forward hints. Encodes the host id the hint is meant for and the hint itself. We use the host id to determine whether we should store or apply the hint: 1. If host id equals to the receiving node host id, then we apply the hint 2. If host id is different from the receiving node's host id, then we store the hint Scenario (1) means that we are dealing with regular hint dispatch. Scenario (2) means that we got a hint from a node that's going through decommissioning and is streaming its hints elsewhere first.

### Nested Class Summary

Nested Classes
`static class` `HintMessage.Serializer`

### Field Summary

Fields
`static IVersionedSerializer<HintMessage>` `serializer`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessageOut<HintMessage>` `createMessageOut()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serializer

    public static final IVersionedSerializer<HintMessage> serializer

### Method Detail

#### createMessageOut

    public MessageOut<HintMessage> createMessageOut()